net.minecraft.block

## Class BlockRedstoneDiode

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockDirectional
    - - net.minecraft.block.BlockRedstoneDiode

- Direct Known Subclasses:
    BlockRedstoneComparator, BlockRedstoneRepeater

      public abstract class BlockRedstoneDiode
      extends BlockDirectional

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isRepeaterPowered`

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BlockRedstoneDiode(boolean p_i45400_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBlockStay(World p_149718_1_, int p_149718_2_, int p_149718_3_, int p_149718_4_)`
    `boolean` | `canPlaceBlockAt(World p_149742_1_, int p_149742_2_, int p_149742_3_, int p_149742_4_)`
    `boolean` | `canProvidePower()`
    `protected void` | `func_149897_b(World p_149897_1_, int p_149897_2_, int p_149897_3_, int p_149897_4_, Block p_149897_5_)`
    `protected int` | `func_149899_k(int p_149899_1_)`
    `protected abstract int` | `func_149901_b(int var1)`
    `protected int` | `func_149902_h(IBlockAccess p_149902_1_, int p_149902_2_, int p_149902_3_, int p_149902_4_, int p_149902_5_)`
    `protected int` | `func_149904_f(IBlockAccess p_149904_1_, int p_149904_2_, int p_149904_3_, int p_149904_4_, int p_149904_5_)`
    `protected boolean` | `func_149905_c(int p_149905_1_)`
    `boolean` | `func_149907_e(Block p_149907_1_)`
    `protected boolean` | `func_149908_a(Block p_149908_1_)`
    `boolean` | `func_149910_g(IBlockAccess p_149910_1_, int p_149910_2_, int p_149910_3_, int p_149910_4_, int p_149910_5_)`
    `protected void` | `func_149911_e(World p_149911_1_, int p_149911_2_, int p_149911_3_, int p_149911_4_)`
    `boolean` | `func_149912_i(World p_149912_1_, int p_149912_2_, int p_149912_3_, int p_149912_4_, int p_149912_5_)`
    `protected int` | `func_149913_i(IBlockAccess p_149913_1_, int p_149913_2_, int p_149913_3_, int p_149913_4_, int p_149913_5_)`
    `protected abstract BlockRedstoneDiode` | `getBlockPowered()`
    `protected abstract BlockRedstoneDiode` | `getBlockUnpowered()`
    `IIcon` | `getIcon(int p_149691_1_, int p_149691_2_)`
    `protected int` | `getInputStrength(World p_149903_1_, int p_149903_2_, int p_149903_3_, int p_149903_4_, int p_149903_5_)`
    `int` | `getRenderType()`
    `boolean` | `isAssociatedBlock(Block p_149667_1_)`
    `protected boolean` | `isGettingInput(World p_149900_1_, int p_149900_2_, int p_149900_3_, int p_149900_4_, int p_149900_5_)`
    `boolean` | `isOpaqueCube()`
    `int` | `isProvidingStrongPower(IBlockAccess p_149748_1_, int p_149748_2_, int p_149748_3_, int p_149748_4_, int p_149748_5_)`
    `int` | `isProvidingWeakPower(IBlockAccess p_149709_1_, int p_149709_2_, int p_149709_3_, int p_149709_4_, int p_149709_5_)`
    `static boolean` | `isRedstoneRepeaterBlockID(Block p_149909_0_)`
    `void` | `onBlockAdded(World p_149726_1_, int p_149726_2_, int p_149726_3_, int p_149726_4_)`
    `void` | `onBlockDestroyedByPlayer(World p_149664_1_, int p_149664_2_, int p_149664_3_, int p_149664_4_, int p_149664_5_)`
    `void` | `onBlockPlacedBy(World p_149689_1_, int p_149689_2_, int p_149689_3_, int p_149689_4_, EntityLivingBase p_149689_5_, ItemStack p_149689_6_)`
    `void` | `onNeighborBlockChange(World p_149695_1_, int p_149695_2_, int p_149695_3_, int p_149695_4_, Block p_149695_5_)`
    `boolean` | `renderAsNormalBlock()`
    `boolean` | `shouldSideBeRendered(IBlockAccess p_149646_1_, int p_149646_2_, int p_149646_3_, int p_149646_4_, int p_149646_5_)`
    `void` | `updateTick(World p_149674_1_, int p_149674_2_, int p_149674_3_, int p_149674_4_, java.util.Random p_149674_5_)`

    - ### Methods inherited from class net.minecraft.block.BlockDirectional

      `getDirection`

    - ### Methods inherited from class net.minecraft.block.Block

      `addCollisionBoxesToList, addDestroyEffects, addHitEffects, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, collisionRayTrace, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropBlockAsItemWithChance, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getCollisionBoundingBoxFromPool, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getDrops, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIdFromBlock, getItem, getItemDropped, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMapColor, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isCollidable, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockActivated, onBlockClicked, onBlockDestroyedByExplosion, onBlockEventReceived, onBlockExploded, onBlockHarvested, onBlockPlaced, onBlockPreDestroy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, recolourBlock, registerBlockIcons, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, tickRate, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isRepeaterPowered

          protected final boolean isRepeaterPowered

  - ### Constructor Detail

    - #### BlockRedstoneDiode

          protected BlockRedstoneDiode(boolean p_i45400_1_)

  - ### Method Detail

    - #### renderAsNormalBlock

          public boolean renderAsNormalBlock()

      Overrides:
        `renderAsNormalBlock` in class `Block`

    - #### canPlaceBlockAt

          public boolean canPlaceBlockAt(World p_149742_1_,
                                int p_149742_2_,
                                int p_149742_3_,
                                int p_149742_4_)

      Overrides:
        `canPlaceBlockAt` in class `Block`

    - #### canBlockStay

          public boolean canBlockStay(World p_149718_1_,
                             int p_149718_2_,
                             int p_149718_3_,
                             int p_149718_4_)

      Overrides:
        `canBlockStay` in class `Block`

    - #### updateTick

          public void updateTick(World p_149674_1_,
                        int p_149674_2_,
                        int p_149674_3_,
                        int p_149674_4_,
                        java.util.Random p_149674_5_)

      Overrides:
        `updateTick` in class `Block`

    - #### getIcon

          public IIcon getIcon(int p_149691_1_,
                      int p_149691_2_)

      Overrides:
        `getIcon` in class `Block`

    - #### shouldSideBeRendered

          public boolean shouldSideBeRendered(IBlockAccess p_149646_1_,
                                     int p_149646_2_,
                                     int p_149646_3_,
                                     int p_149646_4_,
                                     int p_149646_5_)

      Overrides:
        `shouldSideBeRendered` in class `Block`

    - #### getRenderType

          public int getRenderType()

      Overrides:
        `getRenderType` in class `Block`

    - #### func_149905_c

          protected boolean func_149905_c(int p_149905_1_)

    - #### isProvidingStrongPower

          public int isProvidingStrongPower(IBlockAccess p_149748_1_,
                                   int p_149748_2_,
                                   int p_149748_3_,
                                   int p_149748_4_,
                                   int p_149748_5_)

      Overrides:
        `isProvidingStrongPower` in class `Block`

    - #### isProvidingWeakPower

          public int isProvidingWeakPower(IBlockAccess p_149709_1_,
                                 int p_149709_2_,
                                 int p_149709_3_,
                                 int p_149709_4_,
                                 int p_149709_5_)

      Overrides:
        `isProvidingWeakPower` in class `Block`

    - #### onNeighborBlockChange

          public void onNeighborBlockChange(World p_149695_1_,
                                   int p_149695_2_,
                                   int p_149695_3_,
                                   int p_149695_4_,
                                   Block p_149695_5_)

      Overrides:
        `onNeighborBlockChange` in class `Block`

    - #### func_149897_b

          protected void func_149897_b(World p_149897_1_,
                           int p_149897_2_,
                           int p_149897_3_,
                           int p_149897_4_,
                           Block p_149897_5_)

    - #### func_149910_g

          public boolean func_149910_g(IBlockAccess p_149910_1_,
                              int p_149910_2_,
                              int p_149910_3_,
                              int p_149910_4_,
                              int p_149910_5_)

    - #### isGettingInput

          protected boolean isGettingInput(World p_149900_1_,
                               int p_149900_2_,
                               int p_149900_3_,
                               int p_149900_4_,
                               int p_149900_5_)

    - #### getInputStrength

          protected int getInputStrength(World p_149903_1_,
                             int p_149903_2_,
                             int p_149903_3_,
                             int p_149903_4_,
                             int p_149903_5_)

    - #### func_149902_h

          protected int func_149902_h(IBlockAccess p_149902_1_,
                          int p_149902_2_,
                          int p_149902_3_,
                          int p_149902_4_,
                          int p_149902_5_)

    - #### func_149913_i

          protected int func_149913_i(IBlockAccess p_149913_1_,
                          int p_149913_2_,
                          int p_149913_3_,
                          int p_149913_4_,
                          int p_149913_5_)

    - #### canProvidePower

          public boolean canProvidePower()

      Overrides:
        `canProvidePower` in class `Block`

    - #### onBlockPlacedBy

          public void onBlockPlacedBy(World p_149689_1_,
                             int p_149689_2_,
                             int p_149689_3_,
                             int p_149689_4_,
                             EntityLivingBase p_149689_5_,
                             ItemStack p_149689_6_)

      Overrides:
        `onBlockPlacedBy` in class `Block`

    - #### onBlockAdded

          public void onBlockAdded(World p_149726_1_,
                          int p_149726_2_,
                          int p_149726_3_,
                          int p_149726_4_)

      Overrides:
        `onBlockAdded` in class `Block`

    - #### func_149911_e

          protected void func_149911_e(World p_149911_1_,
                           int p_149911_2_,
                           int p_149911_3_,
                           int p_149911_4_)

    - #### onBlockDestroyedByPlayer

          public void onBlockDestroyedByPlayer(World p_149664_1_,
                                      int p_149664_2_,
                                      int p_149664_3_,
                                      int p_149664_4_,
                                      int p_149664_5_)

      Overrides:
        `onBlockDestroyedByPlayer` in class `Block`

    - #### isOpaqueCube

          public boolean isOpaqueCube()

      Overrides:
        `isOpaqueCube` in class `Block`

    - #### func_149908_a

          protected boolean func_149908_a(Block p_149908_1_)

    - #### func_149904_f

          protected int func_149904_f(IBlockAccess p_149904_1_,
                          int p_149904_2_,
                          int p_149904_3_,
                          int p_149904_4_,
                          int p_149904_5_)

    - #### isRedstoneRepeaterBlockID

          public static boolean isRedstoneRepeaterBlockID(Block p_149909_0_)

    - #### func_149907_e

          public boolean func_149907_e(Block p_149907_1_)

    - #### func_149912_i

          public boolean func_149912_i(World p_149912_1_,
                              int p_149912_2_,
                              int p_149912_3_,
                              int p_149912_4_,
                              int p_149912_5_)

    - #### func_149899_k

          protected int func_149899_k(int p_149899_1_)

    - #### func_149901_b

          protected abstract int func_149901_b(int var1)

    - #### getBlockPowered

          protected abstract BlockRedstoneDiode getBlockPowered()

    - #### getBlockUnpowered

          protected abstract BlockRedstoneDiode getBlockUnpowered()

    - #### isAssociatedBlock

          public boolean isAssociatedBlock(Block p_149667_1_)

      Overrides:
        `isAssociatedBlock` in class `Block`